org.restlet.data

## Class Expectation

- java.lang.Object
- - org.restlet.util.Couple<java.lang.String,java.lang.String>
  - - org.restlet.data.Parameter
    - - org.restlet.data.Expectation

All Implemented Interfaces:
  java.lang.Comparable<Parameter>

    public final class Expectation
    extends Parameter

Particular server behavior that is required by a client. Note that when used with HTTP connectors, this class maps to the "Expect" header.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`Expectation(java.lang.String name)` Constructor for directives with no value.
`Expectation(java.lang.String name, java.lang.String value)` Constructor for directives with a value.

### Method Summary

Methods
`static Expectation` `continueResponse()` Creates a "100-continue" expectation.
`boolean` `equals(java.lang.Object other)`
`java.util.List<Parameter>` `getParameters()` Returns the list of parameters.
`void` `setParameters(java.util.List<Parameter> parameters)` Sets the list of parameters.

### Methods inherited from class org.restlet.data.Parameter

`compareTo, create, encode, encode, getName, getValue, setName, setValue`

### Methods inherited from class org.restlet.util.Couple

`getFirst, getSecond, hashCode, setFirst, setSecond, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Expectation

    public Expectation(java.lang.String name)

Constructor for directives with no value.

Parameters:
  `name` - The directive name.

#### Expectation

    public Expectation(java.lang.String name,
               java.lang.String value)

Constructor for directives with a value.

Parameters:
  `name` - The directive name.
  `value` - The directive value.

### Method Detail

#### continueResponse

    public static Expectation continueResponse()

Creates a "100-continue" expectation. If a client will wait for a 100 (Continue) provisional response before sending the request body, it MUST send this expectation. A client MUST NOT send this expectation if it does not intend to send a request entity.

Returns:
  A new "100-continue" expectation.
See Also:
  HTTP 1.1 - Expect header

#### equals

    public boolean equals(java.lang.Object other)

Overrides:
  `equals` in class `Couple<java.lang.String,java.lang.String>`

#### getParameters

    public java.util.List<Parameter> getParameters()

Returns the list of parameters.

Returns:
  The list of parameters.

#### setParameters

    public void setParameters(java.util.List<Parameter> parameters)

Sets the list of parameters.

Parameters:
  `parameters` - The list of parameters.